Bug 1128132 - [GSS](6.4.z) setting the local to english in CLI commands on non-english systems does not produce english output
Summary: [GSS](6.4.z) setting the local to english in CLI commands on non-english syst...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Localization
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: CR1
: EAP 6.4.7
Assignee: Romain Pelisse
QA Contact: Peter Mackay
Russell Dickenson
URL: https://github.com/jbossas/jboss-eap/...
Whiteboard:
Depends On:
Blocks: eap647-payload
TreeView+ depends on / blocked
 
Reported: 2014-08-08 11:11 UTC by Tom Fonteyne
Modified: 2018-12-06 17:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 12:02:45 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1160593 None None None 2016-03-07 23:06:09 UTC
JBoss Issue Tracker WFLY-3723 Minor Resolved setting the local to english in CLI commands on non-english systems does not produce english output 2018-06-11 15:18:23 UTC

Description Tom Fonteyne 2014-08-08 11:11:25 UTC
A German (or french etc...) system must be used to reproduce.
It is likely this is not limited to MacOS, but I do not have a non-english Linux system available

An out of the box install of wildfly/EAP:

Without configuration, the log file is in German as expected.

Using these CLI comands:

:read-operation-description(name=stop-servers,locale=de_DE) -> german
:read-operation-description(name=stop-servers,locale=en_US) -> german
:read-operation-description(name=stop-servers,locale=fr_FR) -> french

So we cannot get the CLI to produce english output

when configuring JAVA_OPTS in domain.conf with:

JAVA_OPTS="$JAVA_OPTS -Duser.language=en -Duser.country=DE -Duser.encoding=utf-8

The log is now in English -> works as expected; and:
:read-operation-description(name=stop-servers,locale=de_DE) -> german
:read-operation-description(name=stop-servers,locale=en_US) -> english

So it seems we have a bug where the locale set to start the domain takes precedence over the locale set in the CLI command (but only when English is asked)

I presume this is because English is the default locale.

Comment 1 JBoss JIRA Server 2015-01-07 15:35:07 UTC
Romain Pelisse <belaran@redhat.com> updated the status of jira WFLY-3723 to Coding In Progress

Comment 2 Romain Pelisse 2015-01-08 10:50:58 UTC
Here is a PR solving this issue: https://github.com/wildfly/wildfly/pull/7078 (thus changing state of this BZ to POST)

Comment 3 Romain Pelisse 2015-04-02 06:34:24 UTC
The PR was merged a while back, so moving to MODIFIED:

https://github.com/wildfly/wildfly-core/pull/429

Comment 4 Carlo de Wolf 2015-06-10 08:15:36 UTC
That was upstream, not jboss-eap.

Comment 9 Peter Mackay 2016-03-04 08:43:04 UTC
Verified with EAP 6.4.7.CP.CR2

Comment 10 Petr Penicka 2017-01-17 12:02:45 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.


Note You need to log in before you can comment on or make changes to this bug.